/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com>
 *
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QtGui>

#include "aboutdialog.h"
#include "mainwindow.h"

AboutDialog::AboutDialog(QWidget *parent) : QDialog(parent)
{
    setupUi(this);
    mainWindow = qobject_cast<MainWindow*>(parentWidget());

    iconLabel->setPixmap(QPixmap(":/icons/kontakter.png"));

    mainLabel->setText(tr(
            "Kontakter is a simple and powerful address book\n"
            "Version: %1\n\n"
            "Copyright (C) 2009 giowisys and all its contributors"
            ).arg(*mainWindow->version));

    /* add all authors/contributors here */
    authorsListWidget->addItem(tr("AUTHORS:"));
    authorsListWidget->addItem(tr("Giorgio Wicklein <g.wicklein@giowisys.com>"));
    authorsListWidget->addItem(tr(" "));
    authorsListWidget->addItem(tr("CONTRIBUTORS:"));
    authorsListWidget->addItem(tr("Eugene Pivnev <ti.eugene@gmail.com> (rpm packages)"));

    licenseTextEdit->setPlainText(tr(
            "Kontakter is open source software, released under the GNU General Public License version 3.\n"
            "<http://www.gnu.org/licenses/gpl.html>\n\n"
            "This software uses some icons created by different authors:\n"
            "- Crystal icon theme by Everaldo Coelho www.everaldo.com\n"
            "- JOHANARASKDESIGN jonasraskdesign.com\n"
            "- pixel-mixer www.pixel-mixer.com\n"
            "- kawasone kawsone.deviantart.com\n\n"
            "More specific details about the icons can be found in the "
            "LICENSE.txt located in the src/client/icons directory in the "
            "source code."
            ));
}
