/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QtGui>

#include "contactlistwidget.h"

/* _________________________________PUBLIC__________________________________ */

//// constructor
ContactListWidget::ContactListWidget(QWidget *parent) : QWidget(parent)
{
    listWidget = new QListWidget(this);
    listWidget->setSortingEnabled(true);

    layout = new QHBoxLayout(this);
    layout->addWidget(listWidget);

    setLayout(layout);
}

/* _________________________________________________________________________ */
/* ______________________________PUBLIC SLOTS_______________________________ */

//// this is used to add a contact to the list
//// this funtion is called by AddressWidget when a new contact is created
//// and when the contacts are loaded from a database
void ContactListWidget::addContact(const QString &name)
{
    QListWidgetItem *item = new QListWidgetItem;
    item->setText(name);
    item->setIcon(QIcon(":/icons/list_contact.png"));

    listWidget->addItem(item);
}

/* _________________________________________________________________________ */
