/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QApplication>
#include <QSettings>
#include <QTranslator>

#include "mainwindow.h"

#ifdef Q_WS_WIN
    #include "qtwin.h"
#endif

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    app.setWindowIcon(QIcon(":/icons/kontakter.png"));

    QTranslator qtTranslator;
    qtTranslator.load("qt_" + QLocale::system().name(),
             ":/languages");
    app.installTranslator(&qtTranslator);

    QTranslator myappTranslator;
    myappTranslator.load("kontakter_" + QLocale::system().name(), ":/languages");
    app.installTranslator(&myappTranslator);


    MainWindow window;

    QSettings settings("giowisys", "Kontakter");
    settings.beginGroup("kontakter");
    bool blurBackground = settings.value("blurBackground", true).toBool();
    settings.endGroup();

    if (blurBackground) {

/*****************************Begin Nokia's Code******************************/
/****************************************************************************
**
** Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
**
** Use, modification and distribution is allowed without limitation,
** warranty, liability or support of any kind.
**
****************************************************************************/

#ifdef Q_WS_WIN
    if (QtWin::isCompositionEnabled()) {
        QtWin::extendFrameIntoClientArea(&window);
        window.setContentsMargins(0, 0, 0, 0);
    }
#endif

/*******************************End Nokia's Code******************************/

    }

    window.show();

    return app.exec();
}
