/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This widget is the main kontakter widget, composed of:
 * - searchWidget
 * - contactListWidget
 * - addressWidget
 * The widget is added to the MainWindow's central widget
 * which is a stacked widget.
 */

#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QWidget>

class SearchWidget;
class AddressWidget;
class ContactListWidget;
class QVBoxLayout;

class MainWidget : public QWidget
{
    Q_OBJECT

public:
    MainWidget(QWidget *parent = 0);

    SearchWidget *searchWidget;
    ContactListWidget *contactListWidget;
    AddressWidget *addressWidget; 

private:
    QVBoxLayout *mainLayout;
};

#endif // MAINWIDGET_H
