/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This widget is shown when there are no accounts at startup
 * or if the user wants to create a new account.
 * It is composed of a stacked widget containing:
 * - Page_1
 * - LocalPage
 * - NetworkPage
 */

#ifndef NEWACCOUNTWIDGET_H
#define NEWACCOUNTWIDGET_H

#include <QWidget>

class QStackedWidget;
class QVBoxLayout;
class Page_1;
class LocalPage;
class NetworkPage;
class MainWindow;

class NewAccountWidget : public QWidget
{
    Q_OBJECT

public:
    NewAccountWidget(QWidget *parent = 0);

    QStackedWidget *stackedWidget;

protected:
    void closeEvent(QCloseEvent *event);

signals:
    void completeSignal();
    void cancelNewAccSlot();

private slots:
    void handlePage_1();
    void createLocalAccountSlot();
    void createNetworkAccountSlot();

private:
    void createNewDatabase(QString name);

    QVBoxLayout *mainLayout;
    Page_1 *page_1;
    LocalPage *localPage;
    NetworkPage *networkPage;
};

#endif // NEWACCOUNTWIDGET_H
