/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef NETWORKPAGE_H
#define NETWORKPAGE_H

#include <QWidget>

class QLabel;
class QLineEdit;
class QGroupBox;
class QHBoxLayout;
class QVBoxLayout;
class QPushButton;
class QGridLayout;
class QSpinBox;

class NetworkPage : public QWidget
{
    Q_OBJECT

public:
    NetworkPage(QWidget *parent = 0);

    QLineEdit *hostLineEdit;
    QLineEdit *passLineEdit;
    QSpinBox *portSpinBox;

signals:
    void cancelSignal();
    void createNetworkAccountSignal();

private slots:
    void updateNextButtonSlot();

private:
    QLabel *hostLabel;
    QLabel *passLabel;
    QLabel *portLabel;
    QPushButton *nextButton;
    QPushButton *cancelButton;
    QGroupBox *serverGroupBox;
    QVBoxLayout *mainLayout;
    QGridLayout *serverLayout;
    QHBoxLayout *buttonsLayout;
};

#endif // NETWORKPAGE_H
