/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This class is the first page of the stacked widget used to create
 * new accounts (NewAccountWidget). Here you have to choose the account
 * name, account type and (if) account password.
 * When the next button is clicked, according to the account type,
 * localpage or networkpage is shown.
 */

#ifndef PAGE_1_H
#define PAGE_1_H

#include <QWidget>

class QVBoxLayout;
class QHBoxLayout;
class QLabel;
class QLineEdit;
class QPushButton;
class QGroupBox;
class QRadioButton;
class QToolButton;
class QCheckBox;

class Page_1 : public QWidget
{
    Q_OBJECT

public:
    Page_1(QWidget *parent = 0);

    QLineEdit *accountLineEdit;
    QRadioButton *localRadioButton;
    QRadioButton *networkRadioButton;
    QCheckBox *passCheckBox;
    QLineEdit *passLineEdit;

signals:
    void nextSignal();
    void cancelSignal();

private slots:
    void helpToolButtonSlot();
    void updateNextButtonSlot();

private:
    QHBoxLayout *accountNameLayout;
    QHBoxLayout *buttonsLayout;
    QVBoxLayout *mainLayout;
    QHBoxLayout *typeLayout;
    QHBoxLayout *accountTypeLayout;
    QHBoxLayout *passLayout;
    QLabel *accountNameLabel;
    QLabel *accountTypeLabel;
    QPushButton *cancelButton;
    QPushButton *nextButton;
    QGroupBox *typeGroupBox;   
    QToolButton *helpToolButton;
};

#endif // PAGE_1_H
