/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This class has the function to get the account password from the user.
 * This widget is shown whenever an account is opened which uses a password.
 */

#ifndef PASSWIDGET_H
#define PASSWIDGET_H

#include <QWidget>

class QLabel;
class QLineEdit;
class QPushButton;
class QHBoxLayout;
class QVBoxLayout;

class PassWidget : public QWidget
{
    Q_OBJECT

public:
    PassWidget(QWidget *parent = 0);
    QLineEdit *passLineEdit;
    QPushButton *cancelButton;
    QPushButton *validateButton;

protected:
    void closeEvent(QCloseEvent *event);

private slots:
    void updateButtonsSlot();

private:
    QLabel *mainLabel;
    QLabel *passLabel;
    QHBoxLayout *passLayout;
    QHBoxLayout *buttonsLayout;
    QVBoxLayout *mainLayout;
};

#endif // PASSWIDGET_H
