/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This widget is the print dialog, which is part of the MainWindow's central
 * widget, a stacked widget, at index 2.
 * Here you can choose if you want to print the selected contact
 * or all contacts.
 */

#ifndef PRINTWIDGET_H
#define PRINTWIDGET_H

#include <QWidget>

class QPushButton;
class QHBoxLayout;
class QVBoxLayout;
class QLabel;
class QLineEdit;
class QGroupBox;
class QRadioButton;
class MainWindow;

class PrintWidget : public QWidget
{
    Q_OBJECT

public:
    PrintWidget(QWidget *parent = 0);
    QRadioButton *selectedRadioButton;
    QRadioButton *allRadioButton;
    QLineEdit *contactName;
    QPushButton *printButton;

private:
    QPushButton *backButton;
    QLabel *mainLabel;
    QGroupBox *optionsBox;
    QHBoxLayout *buttonsLayout;
    QVBoxLayout *mainLayout;
    QHBoxLayout *selectedLayout;
    QVBoxLayout *groupLayout;
    MainWindow *mW2;
};

#endif // PRINTWIDGET_H
