/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com> 
 *  
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

/* This widget is added to MainWindow's central widget,
 * a stacked widget, at index 1.
 * The settings permits the users to modify the application settings.
 */

#ifndef SETTINGSWIDGET_H
#define SETTINGSWIDGET_H

#include <QWidget>

class QPushButton;
class QVBoxLayout;
class QHBoxLayout;
class QComboBox;
class QCheckBox;
class QLabel;
class QLineEdit;
class QGridLayout;
class QGroupBox;
class QSpinBox;
class MainWindow;

class SettingsWidget : public QWidget
{
    Q_OBJECT

public:
    SettingsWidget(QWidget *parent = 0);
    void loadSettings();
    void saveSettingsSlot();

private slots:
    void restartMessageSlot();

private:
    QPushButton *backButton;
    QLabel *updatesLabel;
    QLabel *mainLabel;
    QLabel *blurBackgroundLabel;
    QLineEdit *passLineEdit;
    QCheckBox *usePassBox;
    QComboBox *updatesComboBox;
    QComboBox *blurBackgroundBox;
    QVBoxLayout *mainLayout;
    QGridLayout *settingsLayout;
    QHBoxLayout *backLayout;
    QGroupBox *networkGroupBox;
    QSpinBox *portSpinBox;
    QLineEdit *serverPassLineEdit;
    QLineEdit *hostLineEdit;
    QLabel *portLabel;
    QLabel *hostLabel;
    QLabel *serverPassLabel;
    QGridLayout *networkLayout;
    MainWindow *mW;
};

#endif // SETTINGSWIDGET_H
