/*
 *  Copyright (C) 2009  Giorgio Wicklein <g.wicklein@giowisys.com>
 *
 *  This file is part of Kontakter.
 *
 *  Kontakter is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Kontakter is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Kontakter.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SERVERWIDGET_H
#define SERVERWIDGET_H

#include <QWidget>

class QSpinBox;
class QGroupBox;
class QHBoxLayout;
class QVBoxLayout;
class QGridLayout;
class QLineEdit;
class QLabel;
class QPushButton;
class QCheckBox;

class ServerWidget : public QWidget
{
    Q_OBJECT

public:
    ServerWidget(QWidget *parent = 0);
    QPushButton *quitButton;
    QPushButton *startButton;
    QPushButton *stopButton;
    QLineEdit *passLineEdit;
    QSpinBox *portSpinBox;
    QLabel *usersLabel;
    QCheckBox *startCheckBox;

private:
    QLabel *passLabel;
    QLabel *portLabel;
    QLabel *infoUsersLabel;
    QGroupBox *serverGroupBox;
    QVBoxLayout *mainLayout;
    QGridLayout *serverLayout;
    QHBoxLayout *buttonsLayout;
    QHBoxLayout *usersLayout;
};

#endif // SERVERWIDGET_H
